class Hunted expands Mutator config(Hunted);

var config bool	bSpawnBotWhenPlayerDie,
				bSpawnBotWhenBotDie;
var config int	MaxPawns;

function PreBeginPlay()
{
	SaveConfig();
	Super.PreBeginPlay();
}

function bool PreventDeath (Pawn Killed, Pawn Killer, name damageType, vector HitLocation)
{
local int dice;

	if ( Killed.IsA('PlayerPawn') && bSpawnBotWhenPlayerDie)
		{
		if ( DeathMatchPlus(Level.Game).NumPlayers + DeathMatchPlus(Level.Game).NumBots < MaxPawns )
			DeathMatchPlus(Level.Game).ForceAddBot();
		}
	else if ( Killed.IsA('Bot') && bSpawnBotWhenBotDie)
		{
		if ( DeathMatchPlus(Level.Game).NumPlayers + DeathMatchPlus(Level.Game).NumBots < MaxPawns )
			DeathMatchPlus(Level.Game).ForceAddBot();
		}
	if ( NextMutator != None )
		{
		NextMutator.PreventDeath(Killer, Killed, damageType, HitLocation);
		}	
}

defaultproperties
{
bSpawnBotWhenPlayerDie=True
bSpawnBotWhenBotDie=True
MaxPawns=10
}